module Graphics.LambdaCube.RenderSystem.GL (mkGLRenderSystem,GLEntity,GLRenderEntity,GLVertexBuffer,GLIndexBuffer) where

import Graphics.LambdaCube.Entity
import Graphics.LambdaCube.RenderSystem
import Graphics.LambdaCube.RenderSystem.GL.GLRenderSystem
import Graphics.LambdaCube.RenderSystem.GL.GLVertexBuffer
import Graphics.LambdaCube.RenderSystem.GL.GLIndexBuffer
import Graphics.LambdaCube.RenderSystem.GL.GLTexture
import Graphics.LambdaCube.RenderSystem.GL.GLGpuProgram

type GLEntity = Entity GLVertexBuffer GLIndexBuffer GLTexture GLLinkedGpuProgram

type GLRenderEntity = RenderEntity GLVertexBuffer GLIndexBuffer GLTexture GLLinkedGpuProgram
