module Graphics.LambdaCube.Types where

import Foreign.C.Types

type FloatType = Float
--type FloatType = CFloat
--type FloatType = Double
--type FloatType = CDouble

data Matrix4 = Matrix4
    !FloatType !FloatType !FloatType !FloatType
    !FloatType !FloatType !FloatType !FloatType
    !FloatType !FloatType !FloatType !FloatType
    !FloatType !FloatType !FloatType !FloatType
    deriving (Read, Show, Eq)

data Vec4 = Vec4 !FloatType !FloatType !FloatType !FloatType
    deriving (Read, Show, Eq)
    

type FloatType2 = (FloatType,FloatType)
type FloatType3 = (FloatType,FloatType,FloatType)
type FloatType4 = (FloatType,FloatType,FloatType,FloatType)

type RGB = FloatType3
type ColourValue = FloatType4
